{
	"name": "table/external/odoo/product/product_material-estimated.json",
	"table_name": "mrp_bom_line",
	"odoo_model": "mrp.bom.line",
	"table_prefix": "prma",
	"record_type": ["estimated"],
	"local_table": "product_material",
	"local_record_type": "estimated",
	"field": [
		{
			"info": "Operations",
			"field_name": "allowed_operation_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Allowed Uom",
			"field_name": "allowed_uom_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Attachments Count",
			"field_name": "attachments_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Parent BoM",
			"field_name": "bom_id",
			"local_field": "product_id",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Apply on Variants\nBOM Product Variants needed to apply this line.",
			"field_name": "bom_product_template_attribute_value_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Sub BoM",
			"field_name": "child_bom_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "BOM lines of the referred bom",
			"field_name": "child_line_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Company",
			"field_name": "company_id",
			"local_field": "json_data.firm_id",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Cost Share (%)\nThe percentage of the component repartition cost when purchasing a kit.The total of all components' cost have to be equal to 100.",
			"field_name": "cost_share",
			"local_field": "cost_price",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Created on",
			"field_name": "create_date",
			"local_field": "create_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Created by",
			"field_name": "create_uid",
			"local_field": "json_data.create_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Display Name",
			"field_name": "display_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "ID",
			"field_name": "id",
			"local_field": "record_id",
			"field_type": "integer",
			"constraint": ["primary key"]
		},
		{
			"info": "Manual Consumption\nWhen activated, then the registration of consumption for that component is recorded manually exclusively.\nIf not activated, and any of the components consumption is edited manually on the manufacturing order, Odoo assumes manual consumption also.",
			"field_name": "manual_consumption",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Consumed in Operation\nThe operation where the components are consumed, or the finished products created.",
			"field_name": "operation_id",
			"local_field": "work_phase_number",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Parent Product Template",
			"field_name": "parent_product_tmpl_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Possible Product Template Attribute Value",
			"field_name": "possible_bom_product_template_attribute_value_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Component",
			"field_name": "product_id",
			"local_field": "material_id",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[2]"
		},
		{
			"info": "Quantity",
			"field_name": "product_qty",
			"local_field": "amount",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Product Template",
			"field_name": "product_tmpl_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Category\nConversion between Units of Measure can only occur if they belong to the same category. The conversion will be made based on the ratios.",
			"field_name": "product_uom_category_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Product Unit of Measure\nUnit of Measure (Unit of Measure) is the unit of measurement for the inventory control",
			"field_name": "product_uom_id",
			"local_field": "unit",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[2]"
		},
		{
			"info": "Sequence\nGives the sequence order when displaying.",
			"field_name": "sequence",
			"local_field": "row_number",
			"field_type": "integer"
		},
		{
			"info": "Tracking\nEnsure the traceability of a storable product in your warehouse.",
			"field_name": "tracking",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Last Updated on",
			"field_name": "write_date",
			"local_field": "modify_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Last Updated by",
			"field_name": "write_uid",
			"local_field": "modify_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		}
	]
}
